Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLParamElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLParamElement
extends HTMLElement

Parameters fed to the `OBJECT` element. See the PARAM element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getName()` The name of a run-time parameter.
`java.lang.String` | `getType()` Content type for the `value` attribute when `valuetype` has the value "ref".
`java.lang.String` | `getValue()` The value of a run-time parameter.
`java.lang.String` | `getValueType()` Information about the meaning of the `value` attributevalue.
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.String type)`
`void` | `setValue(java.lang.String value)`
`void` | `setValueType(java.lang.String valueType)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getName

    public java.lang.String getName()

  The name of a run-time parameter. See the name attribute definition in HTML 4.0.

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

  Content type for the `value` attribute when `valuetype` has the value "ref". See the type attribute definition in HTML 4.0.

### setType

    public void setType(java.lang.String type)

### getValue

    public java.lang.String getValue()

  The value of a run-time parameter. See the value attribute definition in HTML 4.0.

### setValue

    public void setValue(java.lang.String value)

### getValueType

    public java.lang.String getValueType()

  Information about the meaning of the `value` attributevalue. See the valuetype attribute definition in HTML 4.0.

### setValueType

    public void setValueType(java.lang.String valueType)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD